Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectweb.util.ant
Class MultipleCopy

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.Copy
                  org.objectweb.util.ant.MultipleCopy

public class MultipleCopy
extends org.apache.tools.ant.taskdefs.Copy

Author:

  Field Summary
  `protected java.io.File` | `basedir`
  `protected org.apache.tools.ant.types.FileSet` | `fileset`
  `protected java.lang.String` | `myFile`
  `protected boolean` | `notReplace`
  `protected boolean` | `useDefaultExcludes`

  Fields inherited from class org.apache.tools.ant.taskdefs.Copy
  `completeDirMap, destDir, destFile, dirCopyMap, file, fileCopyMap, filesets, filtering, flatten, forceOverwrite, includeEmpty, mapperElement, preserveLastModified, verbosity`

  Fields inherited from class org.apache.tools.ant.Task
  `description, location, target, taskName, taskType, wrapper`

  Fields inherited from class org.apache.tools.ant.ProjectComponent
  `project`

  Constructor Summary
  `MultipleCopy()`

  Method Summary
  `void` | `copy()` Performs the copy operation.
  `org.apache.tools.ant.types.PatternSet.NameEntry` | `createExclude()` add a name entry on the exclude list
  `org.apache.tools.ant.types.PatternSet.NameEntry` | `createExcludesFile()` add a name entry on the include files list
  `org.apache.tools.ant.types.PatternSet.NameEntry` | `createInclude()` add a name entry on the include list
  `org.apache.tools.ant.types.PatternSet.NameEntry` | `createIncludesFile()` add a name entry on the include files list
  `org.apache.tools.ant.types.PatternSet` | `createPatternSet()` add a set of patterns
  `void` | `execute()`
  `protected org.apache.tools.ant.DirectoryScanner` | `getDirectoryScanner(java.io.File baseDir)` Returns the directory scanner needed to access the files to process.
  `void` | `setDefaultexcludes(boolean useDefaultExcludes)` Sets whether default exclusions should be used or not.
  `void` | `setExcludes(java.lang.String excludes)` Sets the set of exclude patterns.
  `void` | `setExcludesfile(java.io.File excludesfile)` Sets the name of the file containing the includes patterns.
  `void` | `setIncludes(java.lang.String includes)` Sets the set of include patterns.
  `void` | `setIncludesfile(java.io.File includesfile)` Sets the name of the file containing the includes patterns.
  `void` | `setNotReplace(boolean nr)`
  `void` | `setTodir(java.io.File bd)`
  `void` | `setTofile(java.lang.String f)` Sets the destination file.

  Methods inherited from class org.apache.tools.ant.taskdefs.Copy
  `addFileset, buildMap, createFilterChain, createFilterSet, createMapper, doFileOperations, getEncoding, getFileUtils, getFilterChains, getFilterSets, getOutputEncoding, getPreserveLastModified, isEnableMultipleMapping, scan, setEnableMultipleMappings, setEncoding, setFailOnError, setFile, setFiltering, setFlatten, setGranularity, setIncludeEmptyDirs, setOutputEncoding, setOverwrite, setPreserveLastModified, setPreserveLastModified, setTofile, setVerbose, validateAttributes`

  Methods inherited from class org.apache.tools.ant.Task
  `getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  Methods inherited from class org.apache.tools.ant.ProjectComponent
  `getProject, setProject`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Field Detail

  ### basedir

      protected java.io.File basedir

  ### myFile

      protected java.lang.String myFile

  ### notReplace

      protected boolean notReplace

  ### useDefaultExcludes

      protected boolean useDefaultExcludes

  ### fileset

      protected org.apache.tools.ant.types.FileSet fileset

  Constructor Detail

  ### MultipleCopy

      public MultipleCopy()

  Method Detail

  ### execute

      public void execute()
                   throws org.apache.tools.ant.BuildException

    Throws:
      `org.apache.tools.ant.BuildException`

  ### copy

      public void copy()
                throws org.apache.tools.ant.BuildException

    Performs the copy operation.

    Throws:
      `org.apache.tools.ant.BuildException`

  ### setNotReplace

      public void setNotReplace(boolean nr)

  ### setTodir

      public void setTodir(java.io.File bd)

  ### setTofile

      public void setTofile(java.lang.String f)

    Sets the destination file.

  ### createInclude

      public org.apache.tools.ant.types.PatternSet.NameEntry createInclude()

    add a name entry on the include list

  ### createIncludesFile

      public org.apache.tools.ant.types.PatternSet.NameEntry createIncludesFile()

    add a name entry on the include files list

  ### createExclude

      public org.apache.tools.ant.types.PatternSet.NameEntry createExclude()

    add a name entry on the exclude list

  ### createExcludesFile

      public org.apache.tools.ant.types.PatternSet.NameEntry createExcludesFile()

    add a name entry on the include files list

  ### createPatternSet

      public org.apache.tools.ant.types.PatternSet createPatternSet()

    add a set of patterns

  ### setIncludes

      public void setIncludes(java.lang.String includes)

    Sets the set of include patterns. Patterns may be separated by a comma or a space.

    Parameters:
      `includes` - the string containing the include patterns

  ### setExcludes

      public void setExcludes(java.lang.String excludes)

    Sets the set of exclude patterns. Patterns may be separated by a comma or a space.

    Parameters:
      `excludes` - the string containing the exclude patterns

  ### setDefaultexcludes

      public void setDefaultexcludes(boolean useDefaultExcludes)

    Sets whether default exclusions should be used or not.

    Parameters:
      `useDefaultExcludes` - "true"|"on"|"yes" when default exclusions should be used, "false"|"off"|"no" when they shouldn't be used.

  ### getDirectoryScanner

      protected org.apache.tools.ant.DirectoryScanner getDirectoryScanner(java.io.File baseDir)

    Returns the directory scanner needed to access the files to process.

  ### setIncludesfile

      public void setIncludesfile(java.io.File includesfile)

    Sets the name of the file containing the includes patterns.

    Parameters:
      `includesfile` - A string containing the filename to fetch the include patterns from.

  ### setExcludesfile

      public void setExcludesfile(java.io.File excludesfile)

    Sets the name of the file containing the includes patterns.

    Parameters:
      `excludesfile` - A string containing the filename to fetch the include patterns from.

  Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD